%define         pname clamav
%define         bversion 44
%define         rpmrelease iworx
%define         pversion 0.104.2
%define         clamav_user clamav

%define         main_cvd_url http://clam.interworx.com/main.cvd
%define         daily_cvd_url http://clam.interworx.com/daily.cvd

%define		debug_package %{nil}

%define _default_patch_fuzz 2

# Distro Statements
%define		oscode rhe%{?rhel}x

%if 0%{?rhel} <= 7
%define 	ostype RedHat Enterprise %{?rhel}.x
%endif


%if 0%{?rhel} >= 8
%define 	ostype Almalinux %{?rhel}.x
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

%if 0%{?rhel} <= 6
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  ncurses-devel
BuildRequires:  wget
BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  libcurl-devel
%endif

%if 0%{?rhel} >= 7
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake3
BuildRequires:  wget
BuildRequires:  python3
BuildRequires:  python3-pip
BuildRequires:  valgrind
BuildRequires:  bzip2-devel
BuildRequires:  check-devel
BuildRequires:  json-c-devel
BuildRequires:  libcurl-devel
BuildRequires:  libxml2-devel
BuildRequires:  systemd-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre2-devel
BuildRequires:  zlib-devel
%endif

Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
Requires:       qmail
Requires:       initscripts
Requires:       chkconfig
Requires:       tmpwatch
%define		    ccflags %{optflags}
%define		    ldflags %{optflags}

############### RPM ################################

Summary:        An antivirus toolkit for Unix
Name:           %{pname}
Version:        %{pversion}
Release:        %{release}
License:        GPL

Group:          System Environment/Daemons
Source0:        %{pname}-%{pversion}.tar.gz
URL:            http://www.clamav.net/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	    Paul Oehler <poehler@interworx.com>

Epoch:		    3

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Provides:       clamd
Provides:       clamav-db

Source1:        clamav-clamd.sh
Source3:        clamav-freshclam.sh
Source5:        clamav-clamd.logrotate
Source6:        clamav-freshclam.logrotate
Source11:       clamav-freshclam.daily

Patch0:		    clamav-calmdown.patch
Patch1:		    clamav-async-reload.patch
Patch3:		    clamav-calmdown-104.patch

%description
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of this
software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon,
a command line scanner, and a tool for automatic updating via Internet.
The programs are based on a shared library distributed with package,
which you can use with your own software.
Most importantly, the virus database is kept up to date .

%package        devel
Summary:        Clamav - Development header files and libraries
Group:          Development/Libraries
Requires:       %{name} = 3:%{version}-%{release}

%description    devel
This package contains the development header files and libraries
necessary to develope your own clamav based applications.

%prep
%setup -q -n %{pname}-%{pversion}
%if 0%{?rhel} >= 7
%patch3 -p1
%endif
%if 0%{?rhel} <= 6
%patch0 -p1
%patch1 -p1
%endif





# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

# We have gcc written in a temp file
export CC="gcc %{ccflags}"
export CPPFLAGS="%{ccflags}"

%if 0%{?rhel} <= 6
./configure                                  \
	--prefix=%{_prefix}                  \
	--bindir=%{_bindir}                  \
	--mandir=%{_mandir}                  \
	--localstatedir=%{_localstatedir}    \
	--libdir=%{_libdir}                  \
	--datadir=%{_datadir}                \
	--includedir=%{_includedir}          \
	--sysconfdir=%{_sysconfdir}          \
	--program-prefix=%{?_program_prefix} \
	--disable-clamav                     \
	--disable-clamonacc                  \
	--enable-id-check                    \
	--with-user=%{clamav_user}           \
	--with-group=%{clamav_user}          \
	--disable-zlib-vcheck                \
	--with-pcre                          \
	--with-dbdir=%{_localstatedir}/clamav
%endif

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

%if 0%{?rhel} <= 6
%{__make} %{?_smp_mflags}
%endif

%if 0%{?rhel} >= 7
mkdir build
cd build
# Configure
cmake3 \
	   -D CMAKE_INSTALL_PREFIX=/usr   \
	   -D CMAKE_INSTALL_BINDIR=/usr/bin \
       -D CMAKE_INSTALL_FULL_LIBDIR=/usr/lib64 \
	   -D CMAKE_INSTALL_DOCDIR=/usr/share/man \
	   -D CMAKE_INSTALL_DATADIR=/usr/share \
	   -D CMAKE_INSTALL_SYSCONFDIR=/etc \
       -D APP_CONFIG_DIRECTORY=/etc \
	   -D CLAMAV_USER=clamav \
	   -D CLAMAV_GROUP=clamav \
	   -D DATABASE_DIRECTORY=/var/clamav \
       -D ENABLE_MILTER=OFF \
       -D ENABLE_SYSTEMD=ON \
       -D ENABLE_TESTS=ON \
	   -D BUILD_TESTING=ON \
	   -D JSONC_INCLUDE_DIR=/usr/include/json-c \
	   -D JSONC_LIBRARY=/usr/lib64/libjson-c.so \
	   -D ENABLE_JSON_SHARED=OFF \
       -D CMAKE_BUILD_TYPE=Release /builddir/build/BUILD/%{pname}-%{pversion}/
# Build
cmake3 --build .
# Test
ctest3 --output-on-failure
%endif

%install

%{__install} -d %{buildroot}%{_initrddir}/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/
%{__install} -d %{buildroot}%{_sysconfdir}/cron.daily/
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d/
%{__install} -d %{buildroot}%{_localstatedir}/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/log/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/run/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/spool/clamav/

%if 0%{?rhel} >= 7
cd build/
%endif

%{__make} DESTDIR=%{buildroot} install

%{__install} %{SOURCE1} %{buildroot}%{_initrddir}/clamd
%{__install} %{SOURCE3} %{buildroot}%{_initrddir}/freshclam
%{__install} %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/clamd
%{__install} %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/freshclam
%{__install} %{SOURCE11} %{buildroot}%{_sysconfdir}/cron.daily/freshclam

[ -d database/ ] || mkdir database
wget -O database/main.cvd %{main_cvd_url}
wget -O database/daily.cvd %{daily_cvd_url}

%{__install} database/main.cvd %{buildroot}%{_localstatedir}/clamav/main.cvd
%{__install} database/daily.cvd %{buildroot}%{_localstatedir}/clamav/daily.cvd

touch %{buildroot}%{_localstatedir}/log/clamav/clamav.log
touch %{buildroot}%{_localstatedir}/log/clamav/freshclam.log
rm %{buildroot}%{_mandir}/man8/clamav-milter.8*

rm %{buildroot}/usr/lib/systemd/system/clamav-daemon.service || :
rm %{buildroot}/usr/lib/systemd/system/clamav-daemon.socket || :
rm %{buildroot}/usr/lib/systemd/system/clamav-freshclam.service || :

# Custom config files
%{__sed} -e 's!^Example!#Example!;
	s!^#LogFile .*!LogFile /var/log/clamav/clamd.log!;
	s!^#LogFileMaxSize .*!LogFileMaxSize 0!;
	s!^#LogTime!LogTime!;
	s!^#LogSyslog!LogSyslog!;
	s!^#PidFile .*!PidFile /var/run/clamav/clamd.pid!;
	s!^#TemporaryDirectory .*!TemporaryDirectory /tmp!;
	s!^#DatabaseDirectory .*!DatabaseDirectory /var/clamav!;
	s!^LocalSocket .*!#LocalSocket /var/run/clamav/clamd.sock!;
	s!^#FixStaleSocket!FixStaleSocket!;
	s!^#TCPSocket .*!TCPSocket 3310!;
	s!^#TCPAddr .*!TCPAddr 127.0.0.1!;
	s!^#MaxConnectionQueueLength .*!MaxConnectionQueueLength 30!;
	s!^#StreamSaveToDisk!StreamSaveToDisk!;
	s!^#ReadTimeout .*!ReadTimeout 300!;
	s!^#User .*!User %{clamav_user}!;
	s!^#AllowSupplementaryGroups!AllowSupplementaryGroups!;
	s!^#ScanMail!ScanMail!;
	s!^#ArchiveBlockEncrypted!ArchiveBlockEncrypted!;' \
	%{buildroot}%{_sysconfdir}/clamd.conf.sample > %{buildroot}%{_sysconfdir}/clamd.conf

%{__sed} -e 's!^Example!#Example!;
	s!^#DatabaseDirectory .*!DatabaseDirectory /var/clamav!;
	s!^#UpdateLogFile .*!UpdateLogFile /var/log/clamav/freshclam.log!;
	s!^#DatabaseOwner .*!DatabaseOwner clamav!;
	s!^Checks .*!Checks 24!;
	s!^#ScriptedUpdates yes!ScriptedUpdates no!;
	s!^#NotifyClamd .*!NotifyClamd /etc/clamd.conf!;' \
	%{buildroot}%{_sysconfdir}/freshclam.conf.sample > %{buildroot}%{_sysconfdir}/freshclam.conf

rm %{buildroot}%{_sysconfdir}/freshclam.conf.sample
rm %{buildroot}%{_sysconfdir}/clamd.conf.sample
rm -rf %{buildroot}%{_docdir}/tests


%clean
#if [ -n "%{buildroot}" -a "%{buildroot}" != / ] ; then rm -rf %{buildroot} ; fi
#if [ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] ; then rm -rf $RPM_BUILD_DIR/%{name}-%{pversion} ; fi

%pre
if [ -z "`/usr/bin/id -g %{clamav_user} 2>/dev/null`" ]; then
	%{_sbindir}/groupadd -r -f %{clamav_user} 2>&1 || :
fi
if [ -z "`/usr/bin/id -u %{clamav_user} 2>/dev/null`" ]; then
	%{_sbindir}/useradd -r -M -s /bin/false -c "Clam AntiVirus" -g %{clamav_user} %{clamav_user} 2>&1 || :
fi

%post
/sbin/ldconfig
%if 0%{?rhel} >= 7
ln -sf %{_libdir}/libclamav.so.9 %{_libdir}/libclamav.so.9.1.0
ln -sf %{_libdir}/libclamav.so %{_libdir}/libclamav.so.9
ln -sf %{_libdir}/libclammspack.so.0 %{_libdir}/libclammspack.so.0.8.0
ln -sf %{_libdir}/libclammspack.so %{_libdir}/libclammspack.so.0

ln -sf %{_libdir}/libclamunrar_iface.so %{_libdir}/libclamunrar_iface.so.9
ln -sf %{_libdir}/libclamunrar_iface.so.9 %{_libdir}/libclamunrar_iface.so.9.1.0
ln -sf %{_libdir}/libclamunrar.so %{_libdir}/libclamunrar.so.9
ln -sf %{_libdir}/libclamunrar.so.9 %{_libdir}/libclamunrar.so.9.1.0
ln -sf %{_libdir}/libfreshclam.so %{_libdir}/libfreshclam.so.2
ln -sf %{_libdir}/libfreshclam.so.2 %{_libdir}/libfreshclam.so.2.0.2
%endif

%if 0%{?rhel} >= 7
systemctl daemon-reload
%endif

sed -i 's!DatabaseDirectory .*!DatabaseDirectory /var/clamav!' /etc/clamd.conf 2>/dev/null || :
sed -i 's!DatabaseDirectory .*!DatabaseDirectory /var/clamav!' /etc/freshclam.conf 2>/dev/null || :

if [ $1 -eq 1 ]; then
   /sbin/chkconfig --add clamd
   /sbin/chkconfig --level 345 clamd on
   /sbin/chkconfig --add freshclam
   /sbin/chkconfig --level 345 freshclam on
fi

if [ "$1" == "1" ]; then
   # for VPS shits, there is no network file on VPS OS template creation
   if [ -f /etc/sysconfig/network ]; then
     /sbin/service freshclam start > /dev/null 2>&1 || :
     /sbin/service clamd start > /dev/null 2>&1 || :
   fi
fi

if [ "$1" == "2" ]; then
   # for VPS shits, there is no network file on VPS OS template creation
   if [ -f /etc/sysconfig/network ]; then
     pidof clamd >/dev/null 2>&1 && /sbin/service clamd restart >/dev/null 2>&1 || :
     sleep 3
     pidof clamd >/dev/null 2>&1 || /sbin/service clamd start >/dev/null 2>&1 || :
   fi
fi

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: ClamAV package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi

%postun
/sbin/ldconfig

%if 0%{?rhel} >= 7
systemctl daemon-reload
%endif

if [ $1 -eq 0 ]; then
	/sbin/service clamd stop > /dev/null 2>&1 || :
	/sbin/service freshclam stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del clamd
	/sbin/chkconfig --del freshclam
else
	/sbin/service clamd condrestart > /dev/null 2>&1 || :
	/sbin/service freshclam condrestart > /dev/null 2>&1 || :
fi

%files
%defattr(0644,root,root,0755)
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0640,root,clamav) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0755,root,root) %{_sysconfdir}/cron.daily/freshclam
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/clamd
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/freshclam
%attr(0755,root,root) %{_initrddir}/clamd
%attr(0755,root,root) %{_initrddir}/freshclam
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/clamd
%attr(0755,root,root) %{_sbindir}/clamonacc
%attr(0644,root,root) /usr/lib/systemd/system/clamav-clamonacc.service

%if 0%{?rhel} <= 6
%attr(0755,root,root) %{_libdir}/libclamav.so*
%attr(0755,root,root) %{_libdir}/libclamunrar.so*
%attr(0755,root,root) %{_libdir}/libclammspack.*
%attr(0755,root,root) %{_libdir}/libfreshclam.so*
%attr(0755,root,root) %{_libdir}/libclamunrar_iface.so*
%endif

%if 0%{?rhel} >= 7
%attr(0755,root,root) %{_libdir}/libclamav.so.9.1.0
%attr(0755,root,root) %{_libdir}/libclamunrar.so.9.1.0
%attr(0755,root,root) %{_libdir}/libclammspack.so.0.8.0
%attr(0755,root,root) %{_libdir}/libfreshclam.so.2.0.2
%attr(0755,root,root) %{_libdir}/libclamunrar_iface.so.9.1.0
%attr(0755,root,root) %{_libdir}/pkgconfig/libclamav.pc
%endif

%if 0%{?rhel} >= 7
%ghost %{_libdir}/libclamav.so*
%ghost %{_libdir}/libclamunrar.so*
%ghost %{_libdir}/libclammspack.*
%ghost %{_libdir}/libfreshclam.so*
%ghost %{_libdir}/libclamunrar_iface.so*
%endif

%attr(0755,clamav,clamav) %dir %{_localstatedir}/clamav/
%attr(0644,clamav,clamav) %config(noreplace) %verify(user group mode) %{_localstatedir}/clamav/main.cvd
%attr(0644,clamav,clamav) %config(noreplace) %verify(user group mode) %{_localstatedir}/clamav/daily.cvd
%attr(0755,clamav,clamav) %dir %{_localstatedir}/log/clamav/
%attr(0755,clamav,clamav) %dir %{_localstatedir}/run/clamav/
%attr(0640,clamav,clamav) %ghost %{_localstatedir}/log/clamav/clamav.log
%attr(0640,clamav,clamav) %ghost %{_localstatedir}/log/clamav/freshclam.log
%{_mandir}/html/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/clamonacc.8.gz
%{_mandir}/man8/clamd.8.gz

%files devel
%defattr(0644,root,root,0755)
%if 0%{?rhel} <= 6
%attr(0755,root,root) %{_libdir}/*.la
%endif

%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc
%attr(0644,root,root) %{_includedir}/*.h

%changelog
* Fri Jan 07 2022 Joseph Purkis <jpurkis@interworx.com>
- Manual update to 0.104.2

* Fri Jan 07 2022 Joseph Purkis <jpurkis@interworx.com>
- Remove ancient dynamic gcc resolution (always resulted in just 'gcc')
- Cleaned up old Distros

* Fri Nov 12 2021 Joseph Purkis <jpurkis@interworx.com>
- Added Alamalinux

* Wed May 13 2020 InterWorx Build System <support@interworx.com> - 0.102.3
- Automated update to version 0.102.3

* Wed Mar 25 2020 Paul Oehler <poehler@interworx.com>
- Add SYSTEMCTL_SKIP_REDIRECT=1 to init scripts, fixes symlink errors when restarting

* Thu Feb 06 2020 InterWorx Build System <support@interworx.com> - 0.102.2
- Automated update to version 0.102.2

* Thu Nov 21 2019 InterWorx Build System <support@interworx.com> - 0.102.1
- Automated update to version 0.102.1

* Thu Oct 03 2019 InterWorx Build System <support@interworx.com> - 0.102.0
- Automated update to version 0.102.0

* Thu Aug 22 2019 InterWorx Build System <support@interworx.com> - 0.101.4
- Automated update to version 0.101.4

* Tue Aug 06 2019 InterWorx Build System <support@interworx.com> - 0.101.3
- Automated update to version 0.101.3

* Wed Mar 27 2019 InterWorx Build System <support@interworx.com> - 0.101.2
- Automated update to version 0.101.2

* Tue Jan 08 2019 InterWorx Build System <support@interworx.com> - 0.101.1
- Automated update to version 0.101.1

* Thu Oct 04 2018 InterWorx Build System <support@interworx.com> - 0.100.2
- Automated update to version 0.100.2

* Tue Jul 10 2018 InterWorx Build System <support@interworx.com> - 0.100.1
- Automated update to version 0.100.1

* Tue Apr 10 2018 InterWorx Build System <support@interworx.com> - 0.100.0
- Automated update to version 0.100.0

* Fri Mar 02 2018 InterWorx Build System <support@interworx.com> - 0.99.4
- Automated update to version 0.99.4

* Fri Jan 26 2018 Paul Oehler <poehler@interworx.com>
- Upgrade to 0.99.3
- added clamav-0.99.3-scanners.patch (https://gist.github.com/manuelm/dbc94001c77c07363cdcb5b390c2cb04)
* Thu Dec 01 2016 Paul Oehler <poehler@interworx.com>
- added pcre-devel
* Thu Sep 29 2016 Matt Parmelee <mparmelee@interworx.com>
- Removed test files directory.
* Wed May 04 2016 InterWorx Build System <support@interworx.com> - 0.99.2
- Automated update to version 0.99.2

* Thu Mar 03 2016 InterWorx Build System <support@interworx.com> - 0.99.1
- Automated update to version 0.99.1

* Mon Dec 21 2015 InterWorx Build System <support@interworx.com> - 0.99
- Automated update to version 0.99

* Thu Apr 30 2015 InterWorx Build System <support@interworx.com> - 0.98.7
- Automated update to version 0.98.7

* Thu Dec 18 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL7x.
* Mon Nov 24 2014 Tim College <tcollege@interworx.com>
- Upgraded to 0.98.5
* Tue Aug 19 2014 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.98.4
- Dropped support for el4
* Mon Dec 09 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.98
- Moved virus definitions from /var/lib/clamav/ to /var/clamav/ for compatible with other clamav packages
* Thu Apr 25 2013 Matt Parmelee <mparmelee@interworx.com>
- Upgraded to 0.97.8
* Wed Apr 17 2013 Matt Parmelee <mparmelee@interworx.com>
- Added Provides for clamav-db.
* Tue Apr 02 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.7
- added tmpwatch to requires
* Thu Apr 12 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.4
* Wed Feb 29 2012 Paul Oehler <poehler@interworx.com>
- Added clamav-async-reload.patch.
- Added Provides: clamd
* Tue Jan 31 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.3
* Wed Jun 15 2011 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.1
- Set Epoch to 3 to combat irritating incompatible updates from other repos.
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Fri Apr 16 2010 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.96
* Sun Nov 01 2009 Paul Oehler <poehler@interworx.com>
- Bumped version to 0.95.3
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Updated to version 0.93 and added Fedora 8 support
* Wed Oct 19 2005 Chris Wells <clwells@nexcess.net>
- updated for VPS install
* Thu Jun 23 2005 Chris Wells <clwells@nexcess.net>
- Updated to 0.86.1
* Mon Feb 07 2005 Paul Oehler <poehler@nexcess.net>
- Updated to 0.82
* Fri Jan 28 2005 Paul Oehler <poehler@nexcess.net>
- Updated to 0.81
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- Updated to 0.80 and made work with InterWorx-CP
* Sat Sep 11 2004 Chris Wells <clwells@nexcess.net>
- Repackaged for InterWorx-CP
* Thu Jul 01 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.74-1.2-1
- Updated to ClamAV 0.74
* Tue Jun 29 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.72-1.2-3
- Fix some typos in SPEC file
* Thu Jun 24 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.72-1.2.2
- Initial Build.
